module "{{ appName }}-{{ dockerHostNodeName }}" {
  source = "/app/modules/decide-docker-node"
  node_name = "{{ dockerHostNodeName }}"
  cloudbroker_endpoint = "{{ cloudbrokerEndpoint }}",
  cloudbroker_username = "{{ cloudbrokerUsername }}",
  cloudbroker_password = "{{ cloudbrokerPassword }}",
  vm_software_id = "{{ vmSoftwareId }}",
  vm_resource_id = "{{ vmResourceId }}",
  vm_region_id = "{{ vmRegionId }}",
  instance_type_id = "{{ instanceTypeId }}",
  key_pair_id = "{{ keyPairId }}",
  app_name = "{{ appName }}",
  opened_port = "{{ openedPort }}",
  consul-join-ip = "{{ consulJoinIp }}",
  docker-private-registry-ip = "{{ dockerPrivateRegistryIp }}"
  docker-private-registry-port = "{{ dockerPrivateRegistryPort }}"
}

output "{{ dockerHostNodeName }}.external_ip_address" {
  value = "${module.{{ appName }}-{{ dockerHostNodeName }}.external_ip_address}"
}


provider "docker" {
  version = "~> 0.1"
  host = "${module.{{ appName }}-{{ dockerHostNodeName }}.external_ip_address}:8376"
  alias = "{{ dockerHostNodeName }}"
  cert_path = "/home/ubuntu/terraform/certs/${module.{{ appName }}-{{ dockerHostNodeName }}.external_ip_address}/keys"
}

