#!/bin/bash

#Create folder under /etc/docker/certs.d and put there the certificate to trust the registry
#$1=Registry ip
#$2=Registry port
if [ -d "/tmp/scripts/certs/registry/$1" ]; then
    echo "Found certs folder for ip $1"
	sudo mkdir -p /etc/docker/certs.d/$1:$2
#ATTENZIONE! Il file ca.crt e' il file che permette di accedere al registry privato con un certificato self-signed (perché non abbiamo la certification authority)
# Quindi questo file dovrebbe essere fornito assieme ai dati del registry
# E' ottenuto prendendo il file 'registry-domain.crt' del registry (di solito mappato dal container come volume e.g. in /var/lib/registry/certs) e rinominandolo come ca.crt 
	sudo cp /tmp/scripts/certs/registry/$1/ca.crt /etc/docker/certs.d/$1:$2
else
	echo "Missing certificate for ip $1: skipping certs configuration"
fi

